Update evaluation configuration

Updates an evaluation configuration for a test run.

PATCH https://api.futureagi.com/simulate/run-tests/{run_test_id}/eval-configs/{eval_config_id}/update/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

run_test_id UUID Required

The test run ID.

eval_config_id UUID Required

The evaluation configuration ID.

Request body

config object Optional

Updated evaluation configuration parameters. Supports nested config and mapping keys.

mapping object Optional

Updated field mapping between test data and evaluation inputs.

model string Optional

Model to use for evaluations.

errorLocalizer boolean Optional

Enable granular error localization in evaluation results.

kbId string Optional

UUID of a knowledge base to use for grounding.

name string Optional

Updated name for the evaluation configuration.

run boolean Optional

When true, triggers an immediate rerun after updating. Defaults to false.

testExecutionId string Optional

UUID of the test execution to rerun against. Required when run is true.

Response

200 OK
message string
Confirmation message.

Errors

400 Bad Request Optional

Invalid data or missing testExecutionId when run is true.

401 Unauthorized Optional

Invalid or missing API credentials.

404 Not Found Optional

Test run or evaluation configuration not found.

500 Internal Server Error Optional

Unexpected server error.

GET /
Authentication
REQUEST
 
RESPONSE